Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class FragmentDefinition

    java.lang.Object
      org.jasig.portal.layout.dlm.FragmentDefinition

All Implemented Interfaces:
  Evaluator

    public class FragmentDefinition

extends java.lang.Object
implements Evaluator

Since:
  uPortal 2.5
Version:
  $Revision: 1.5 $ $Date: 2005/05/04 20:19:28 $

Field Summary
`(package private) org.w3c.dom.Element` | `configDOM`
`(package private) java.lang.String` | `defaultLayoutOwnerID`
`(package private) Evaluator[]` | `evaluators`
`(package private) int` | `index`
`private static org.apache.commons.logging.Log` | `LOG`
`(package private) java.lang.String` | `name`
`(package private) boolean` | `noAudienceIncluded`
`(package private) java.lang.String` | `ownerID`
`(package private) double` | `precedence`
`(package private) java.util.List` | `roles`
`(package private) int` | `userID`
`(package private) UserView` | `view`

Fields inherited from interface org.jasig.portal.layout.dlm.Evaluator
`RCS_ID`

Constructor Summary
`FragmentDefinition(org.w3c.dom.Element e)` This constructor is passed a dlm:fragment element from which this FragmentDefinition instance gathers its configuration information.

Method Summary
`private void` | `addEvaluator(EvaluatorFactory factory, org.w3c.dom.Node audience)`
`boolean` | `isApplicable(IPerson p)`
`private java.lang.String` | `loadAttribute(java.lang.String name, org.w3c.dom.NamedNodeMap atts, boolean required)`
`private void` | `loadAudienceEvaluators(org.w3c.dom.NodeList nodes)`
`private EvaluatorFactory` | `loadEvaluatorFactory(java.lang.String factoryClassName, org.w3c.dom.Node audience)`
`private void` | `loadOwnerRoles(org.w3c.dom.NodeList nodes)` Captures the values of any included dlm:role elements so that the owner can later be granted those roles during fragment activation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### name

    java.lang.String name

### ownerID

    java.lang.String ownerID

### userID

    int userID

### defaultLayoutOwnerID

    java.lang.String defaultLayoutOwnerID

### configDOM

    org.w3c.dom.Element configDOM

### precedence

    double precedence

### index

    int index

### noAudienceIncluded

    boolean noAudienceIncluded

### evaluators

    Evaluator[] evaluators

### view

    UserView view

### roles

    java.util.List roles

Constructor Detail

### FragmentDefinition

    public FragmentDefinition(org.w3c.dom.Element e)

  This constructor is passed a dlm:fragment element from which this FragmentDefinition instance gathers its configuration information.

  Parameters:
    `e` - An Element representing a single in dlm.xml.
  Throws:
    `java.lang.Exception`

Method Detail

### loadOwnerRoles

    private void loadOwnerRoles(org.w3c.dom.NodeList nodes)

  Captures the values of any included dlm:role elements so that the owner can later be granted those roles during fragment activation.

  Parameters:
    `nodes` -

### loadAudienceEvaluators

    private void loadAudienceEvaluators(org.w3c.dom.NodeList nodes)

### addEvaluator

    private void addEvaluator(EvaluatorFactory factory,
                              org.w3c.dom.Node audience)

### loadEvaluatorFactory

    private EvaluatorFactory loadEvaluatorFactory(java.lang.String factoryClassName,
                                                  org.w3c.dom.Node audience)

### isApplicable

    public boolean isApplicable(IPerson p)

  Specified by:
    `isApplicable` in interface `Evaluator`

### loadAttribute

    private java.lang.String loadAttribute(java.lang.String name,
                                           org.w3c.dom.NamedNodeMap atts,
                                           boolean required)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD